# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "nfs3_types"
version = "0.4.0"
authors = ["Vaiz"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Type definitions and utilities for working with NFSv3"
homepage = "https://github.com/Vaiz/nfs3"
readme = "README.md"
keywords = [
    "xdr",
    "rfc1014",
    "nfs",
    "nfs3",
    "rfc1813",
]
license = "Unlicense"
repository = "https://github.com/Vaiz/nfs3"

[package.metadata.cargo-machete]
ignored = ["byteorder"]

[lib]
name = "nfs3_types"
path = "src/lib.rs"

[[test]]
name = "basic_types"
path = "tests/basic_types.rs"

[[test]]
name = "collections"
path = "tests/collections.rs"

[[test]]
name = "nfs3_types"
path = "tests/nfs3_types.rs"

[[test]]
name = "rpc_mount"
path = "tests/rpc_mount.rs"

[[test]]
name = "xdr_utils"
path = "tests/xdr_utils.rs"

[dependencies.nfs3_macros]
version = "0.4.0"

[lints.clippy]
enum_glob_use = "deny"
future_not_send = "allow"
missing_errors_doc = "allow"
significant_drop_tightening = "allow"
unwrap_used = "deny"

[lints.clippy.nursery]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1
